package com.resteasy.series.formparam;

import javax.ws.rs.FormParam;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.core.Response;

@Path("/customer")
public interface ICustomerService {

	// http://localhost:8080/RestEasy-FormParam/resteasy/customer/custinfo - Tomcat 7.0.x
	// http://localhost:9090/RestEasy-FormParam/resteasy/customer/custinfo - JBoss AS7
	@POST
	@Path("/custinfo")
	public Response printCustomerInfo(
			@FormParam("id") String custId, 
			@FormParam("name") String custName, 
			@FormParam("age") String custAge);
}	